#include<bits/stdc++.h>
using namespace std;
const int N=1e5+10,M=1e9+7;
int T,n,m,v;
int c[N],d[N];
int main(){
	freopen("assign.in","r",stdin);
	freopen("assign.out","w",stdout);
	scanf("%d",&T);
	while(T-->0){
//		scanf("%d%d%d",&n,&m,&v);
//		for(int i=1;i<=m;++i){
//			scanf("%d%d",c+i,d+i);
//		}
//		for(int a=1;a<=v;++a){
//			for(int b=1;b<=v;++b){
//				
//			}
//		}
		printf("0\n");
	}
	return 0;
}
